/**
 * @file  ComArray.cpp
 * @brief Implementierung der Klasse CComArray.
 */
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "ComArray.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CComArray::CComArray()
{
	// Kanalarray initialisieren
	for (int i=0; i < MAX_CHANNEL; i++) {
	
		Com[i] = NULL;
	}
}

CComArray::~CComArray()
{
	// vorhandene Kanalklassen freigeben.
	for (int i=0; i < MAX_CHANNEL; i++) {
	
		if (Com[i]) {
		
			delete Com[i];
		}
	}
}
